package com.ruoyi.mall.domain.Bo;



import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 发布帖子请求参数
 * @author long
 */

public class PublishArticleRequest {
    private static final long serialVersionUID = 1L;

    /**
     * 帖子id
     */
    @NotNull(message = "帖子id不能为空")
    private Long articleId;

    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空")
    private Long userId;

    /**
     * 帖子内容
     */
    @NotBlank(message = "帖子内容不能为空")
    private String  articleText;

    /**
     * 帖子图片
     */
    private String articleImgs;


    @Override
    public String toString() {
        return "PublishArticleRequest{" +
                "articleId=" + articleId +
                ", userId=" + userId +
                ", articleText='" + articleText + '\'' +
                ", articleImgs='" + articleImgs + '\'' +
                '}';
    }

    public String getArticleImgs() {
        return articleImgs;
    }

    public void setArticleImgs(String articleImgs) {
        this.articleImgs = articleImgs;
    }

    public Long getArticleId() {
        return articleId;
    }

    public void setArticleId(Long articleId) {
        this.articleId = articleId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getArticleText() {
        return articleText;
    }

    public void setArticleText(String articleText) {
        this.articleText = articleText;
    }




}
